Unable to install ffbase
1
0
Entering edit mode
tiankw19 • 0
@tiankw19-23936
Last seen 13 months ago

When I reinstalled the R package in r4.0,I found an ERROR.

** R
** byte-compile and prepare package for lazy loading
Error: object ‘is.factor.ff’ is not exported by 'namespace:ff'
Execution halted
ERROR: lazy loading failed for package ‘ffbase’
* removing ‘/home/tianaw/miniconda3/lib/R/library/ffbase’

The downloaded source packages are in
‘/tmp/RtmpT2wM3V/downloaded_packages’
Updating HTML index of packages in '.Library'
Making 'packages.html' ... done
Warning message:
In install.packages("ffbase") :
  installation of package ‘ffbase’ had non-zero exit status

I would like to be told how to solve this problem. Thank you.

software error • 180 views
ADD COMMENT
0
Entering edit mode
@martin-morgan-1513
Last seen 10 weeks ago
United States

This seems to be because of a change in the 'ff' package, which was updated on July 30 (https://cran.r-project.org/web/packages/ff/index.html). The change seems to have broken the ffbase package, and the ffbase package hsa not been updated, including on github (https://github.com/edwindj/ffbase)

Perhaps you should contact the ffbase maintainer to ask for an update. The maintainer is listed at https://cran.r-project.org/package=ffbase.

ADD COMMENT
0
Entering edit mode

Thank you very much. I'll try to ask for an update.

ADD REPLY
0
Entering edit mode

Thank you very much. I'll try to ask for an update.

ADD REPLY

Login before adding your answer.

Traffic: 310 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6